## iceweasel 17.0.10esr

=== debian/changelog ===
iceweasel (17.0.10esr-1~deb7u1) stable-security; urgency=low

  * New upstream release.
  * Fixes for mfsa2013-{93,95-96,98,100-101}, also known as
    CVE-2013-5590, CVE-2013-5604, CVE-2013-5595, CVE-2013-5597,
    CVE-2013-5599, CVE-2013-5600, CVE-2013-5602.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Oct 2013 11:23:13 +0900

iceweasel (17.0.9esr-1~deb7u1) stable-security; urgency=low

  * New upstream release.
  * Fixes for mfsa2013-{76,79,82,88-91}, also known as
    CVE-2013-1718, CVE-2013-1722, CVE-2013-1725, CVE-2013-1730,
    CVE-2013-1732, CVE-2013-1735, CVE-2013-1736, CVE-2013-1737.

 -- Mike Hommey <glandium@debian.org>  Tue, 17 Sep 2013 22:17:40 +0900

iceweasel (17.0.8esr-2~deb7u1) stable-security; urgency=low

  * debian/rules:
    - Don't use --no-keep-memory on ia64. Somehow, it makes ld fail to relax
      some relocations.
    - Don't use --as-needed on ia64. Somehow, it makes ld crash on some files.

 -- Mike Hommey <glandium@debian.org>  Sun, 11 Aug 2013 08:15:26 +0900

iceweasel (17.0.8esr-1~deb7u1) stable-security; urgency=low

  * New upstream release.
  * Fixes for mfsa2013-{63,68-69,72-73,75}, also known as
    CVE-2013-1701, CVE-2013-1709, CVE-2013-1710, CVE-2013-1713,
    CVE-2013-1714, CVE-2013-1717.
  * debian/rules: Reduce memory usage of the linker at the expense of
    processing time. This should help on lower-end architectures like arm
    and mips, which spend an immense amount of time swapping.

  * build/unix/elfhack/elfhack.cpp: Support R_ARM_JUMP24 and R_ARM_CALL
    relocations. bz#892366. Fixes FTBFS on armel.
  * build/unix/elfhack/elfhack.cpp, build/unix/elfhack/inject.c: Turn BL into
    BLX when doing thumb call relocations and the target is ARM. bz#898998.
    Fixes FTBFS on armhf.
  * xpcom/glue/nsIClassInfoImpl.h: Properly align statically allocated
    classinfo objects. bz#898916. Fixes FTBFS on armel.
  * js/src/gc/Heap.h, js/src/gc/Memory.*, js/src/jsapi.cpp, js/src/jscntxt.h,
    js/src/jsgc.cpp: Use the runtime page size to control arena decommit.
    bz#840242, bz#746112, bz#787904. Fixes FTBFS on sparc and runtime issues
    on mips and likely other architectures..

 -- Mike Hommey <glandium@debian.org>  Wed, 07 Aug 2013 07:46:16 +0900

iceweasel (17.0.7esr-1~deb7u1) stable-security; urgency=low

  * New upstream release.
    - Updated version of virtualenv handles multiarch properly.
      Closes: #713103.
  * Fixes for mfsa2013-{49-51,53-56,59}, also known as
    CVE-2013-1682, CVE-2013-1684, CVE-2013-1685, CVE-2013-1686,
    CVE-2013-1687, CVE-2013-1690, CVE-2013-1692, CVE-2013-1693,
    CVE-2013-1694, CVE-2013-1697.

  * ipc/chromium/src/base/platform_thread_posix.cc: Fix FTBFS on
    kFreeBSD and Hurd.
  * memory/mozjemalloc/jemalloc.c: Don't hardcode page size on mips.
    Should fix FTBFS on mips.

 -- Mike Hommey <glandium@debian.org>  Wed, 26 Jun 2013 08:22:35 +0900

iceweasel (17.0.6esr-1~deb7u1) stable-security; urgency=low

  * New upstream release.
  * Fixes for mfsa2013-{41-42,44,46-48}, also known as
    CVE-2013-0801, CVE-2013-1670, CVE-2013-1672, CVE-2013-1674,
    CVE-2013-1675, CVE-2013-1676, CVE-2013-1677, CVE-2013-1679,
    CVE-2013-1680, CVE-2013-1681.

 -- Mike Hommey <glandium@debian.org>  Wed, 15 May 2013 08:34:37 +0200

iceweasel (17.0.5esr-1) unstable; urgency=low

  * New upstream release.
  * Fixes for mfsa2013-{30,35-36,38}, also known as
    CVE-2013-0788, CVE-2013-0796, CVE-2013-0795, CVE-2013-0793.

 -- Mike Hommey <glandium@debian.org>  Tue, 02 Apr 2013 22:00:00 +0200

iceweasel (17.0.4esr-1) UNRELEASED; urgency=low

  * New upstream release.
  * Fix for mfsa2013-29, also known as CVE-2013-0787.

 -- Mike Hommey <glandium@debian.org>  Sat, 23 Mar 2013 09:30:10 +0100

iceweasel (17.0.3esr-1) UNRELEASED; urgency=low

  * New upstream release.
  * Fixes for mfsa2013-{21,24-28}, also known as
    CVE-2013-0783, CVE-2013-0773, CVE-2013-0774, CVE-2013-0775,
    CVE-2013-0776, CVE-2013-0780, CVE-2013-0782.

 -- Mike Hommey <glandium@debian.org>  Wed, 20 Feb 2013 15:02:30 +0100

iceweasel (17.0.2esr-1) UNRELEASED; urgency=low

  * New upstream release.
  * Fixes for mfsa2013-{01-05,07,09-19}, also known as
    CVE-2013-0769, CVE-2013-0749, CVE-2013-0762, CVE-2013-0766,
    CVE-2013-0767, CVE-2013-0761, CVE-2013-0763, CVE-2013-0771,
    CVE-2013-0768, CVE-2012-0759, CVE-2013-0744, CVE-2013-0764,
    CVE-2013-0745, CVE-2013-0746, CVE-2013-0747, CVE-2013-0748,
    CVE-2013-0750, CVE-2013-0752, CVE-2013-0757, CVE-2013-0758,
    CVE-2013-0753, CVE-2013-0754, CVE-2013-0755, CVE-2013-0756.

 -- Mike Hommey <glandium@debian.org>  Tue, 08 Jan 2013 20:13:59 +0100

iceweasel (17.0.1-2) experimental; urgency=low

  * debian/iceweasel-runner, debian/iceweasel.bug-presubj,
    debian/iceweasel.install, debian/iceweasel.links.in, debian/noinstall.in,
    debian/rules: Use the iceweasel binary instead of the xulrunner stub, and
    remove the shell wrapper
  * debian/control*: Remove xulrunner dependency on libnspr4-0d.
    Closes: #695346.
  * debian/iceweasel-xremote-client, debian/iceweasel.install, debian/rules:
    Remove iceweasel-xremote-client.
  * debian/noinstall.in, debian/rules: Don't remove update-settings.ini and
    move firefox-l10n.js removal to debian/noinstall.in.
  * debian/rules: Cleanup *.pyc removal, and remove *.pyo as well.
  * debian/iceweasel.1: Update manpage.
  * debian/noinstall.in: Remove usr/lib/xulrunner-@GRE_VERSION@/libmozjs.so
    with noinstall.in, it's symlinked later on.
  * debian/test.mk: Use the iceweasel binary for tests.
  * debian/branding/Makefile.in, debian/iceweasel.install, debian/rules:
    Don't generate mozicon*.xpm or firefox.ico, and generate iceweasel.xpm from
    debian/rules.
  * debian/*: Allow to build with the firefox branding.
  * debian/browser.README.Debian.in: Update the text about the application not
    being named Firefox.

  * browser/app/Makefile.in: Move MOZ_OFFICIAL_BRANDING definition to avoid
    conflict with bz#755724.

