=== debian/control ===
Source: iceweasel
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 7.2.3),
               libx11-dev,
               libxt-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libgnomevfs2-dev,
               libgnome2-dev,
               libgnomeui-dev,
               libcairo2-dev (>= 1.10.2-1.1~),
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev | libreadline5-dev,
               python,
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libnspr4-dev (>= 4.9.2),
               libnss3-dev (>= 3.13.2),
               libhunspell-dev (>= 1.2),
               libdbus-glib-1-dev,
               libsqlite3-dev (>= 3.7.13),
               libasound2-dev [linux-any],
               libiw-dev [linux-any],
               libnotify-dev,
               libffi-dev,
               libevent-dev (>= 1.4.1),
               libvpx-dev (>= 1.0.0),
               mesa-common-dev,
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               ttf-freefont,
               ttf-dejima-mincho,
               imagemagick,
               librsvg2-bin,
               xsltproc,
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.2.0
Vcs-Git: git://git.debian.org/git/pkg-mozilla/iceweasel.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceweasel.git

Package: iceweasel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         xulrunner-17.0 (>= ${binary:Version}),
         libsqlite3-0 (>= 3.7.12-1~)
Suggests: fonts-stix | otf-stix,
          mozplugger,
          libgssapi-krb5-2 | libkrb53
Breaks: xul-ext-torbutton
Provides: www-browser,
          gnome-www-browser
Description: Web browser based on Firefox
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.

Package: iceweasel-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
         iceweasel (= ${binary:Version}),
         xulrunner-17.0-dbg
Description: Debugging symbols for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the debugging symbols for iceweasel.

Package: xulrunner-17.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmozjs17d (= ${binary:Version}),
         libcairo2 (>= 1.8.8)
Suggests: ${gnome:Depends}, libgnomeui-0, libcanberra0
Conflicts: j2re1.4,
           pango-graphite (<< 0.9.3)
Description: XUL + XPCOM application runner
 XULRunner is a single "gecko runtime" that can be used to bootstrap
 multiple XUL + XPCOM applications that are as rich as Firefox and
 Thunderbird.
 .
 XUL is Mozilla's XML based User Interface language that lets you build
 feature-rich cross platform applications. These applications are easily
 customized with alternative text, graphics and layout so that they can be
 readily branded or localized for various markets. Web developers already
 familiar with Dynamic HTML (DHTML) will learn XUL quickly and can start
 building applications right away.
 .
 XPCOM is a cross platform component model. It has multiple language
 bindings and IDL descriptions so programmers can plug their custom
 functionality into the framework and connect it with other components.
 .
 This package also contains the Gecko engine library (libxul)
Homepage: http://developer.mozilla.org/en/docs/XULRunner

Package: libmozjs17d
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Iceweasel (Firefox) browser
 as well as by the iPlanet WebServer).
Homepage: http://www.mozilla.org/js/

Package: libmozjs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmozjs17d (= ${binary:Version}),
         libnspr4-dev
Description: Development files for the Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Iceweasel (Firefox) browser
 as well as by the iPlanet WebServer).
 .
 Install this package if you wish to develop your own programs using the
 Mozilla SpiderMonkey JavaScript library.
Homepage: http://www.mozilla.org/js/

Package: libmozjs17d-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmozjs17d (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Iceweasel (Firefox) browser
 as well as by the iPlanet WebServer).
 .
 This package provides the debugging symbols for the library and for
 the spidermonkey-bin package.
Homepage: http://www.mozilla.org/js/

Package: spidermonkey-bin
Section: interpreters
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: standalone JavaScript/ECMAScript (ECMA-262) interpreter
 SpiderMonkey is a standalone JavaScript/ECMAScript interpreter. It can either
 take input from files or from a command line driven interface.
 It is not recommended for production use, as it contains dangerous
 (security-wise) debugging features.
 .
 ECMAScript (ECMA-262) is a dynamic scripting language supporting prototype
 based object construction. The basic syntax is intentionally similar to
 both Java and C++ to reduce the number of new concepts required to learn
 the language. Language constructs, such as if statements, for and while
 loops, and switch and try ... catch blocks function the same as these
 languages (or nearly so).
 .
 JavaScript is a superset of the ECMA-262 Edition 3 (ECMAScript) standard
 first introduced by Netscape and now led by the Mozilla project.
Homepage: http://www.mozilla.org/js/

Package: xulrunner-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-ply,
         xulrunner-17.0 (>= ${binary:Version}),
         libnss3-dev,
         libnspr4-dev,
         libmozjs-dev (>= ${binary:Version})
Description: Development files for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 Install this package if you wish to embed the Gecko engine in your
 program or want to develop XPCOM components.
 .
 This package also provides the Xulrunner Software Development Kit in the
 same form as the one you may find on mozilla.org in /usr/lib/xulrunner/sdk.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

Package: xulrunner-17.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: xulrunner-17.0 (= ${binary:Version}),
         libmozjs17d-dbg (= ${binary:Version}),
         libnss3-dbg | libnss3-1d-dbg,
         libnspr4-dbg | libnspr4-0d-dbg,
         ${misc:Depends}
Description: Debugging symbols for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 This package provides the debugging symbols for the xulrunner-17.0
 package.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

Package: iceweasel-l10n-all
Architecture: all
Section: localization
Depends: ${misc:Depends}, iceweasel-l10n-ach, iceweasel-l10n-af, iceweasel-l10n-ak, iceweasel-l10n-ar, iceweasel-l10n-as, iceweasel-l10n-ast, iceweasel-l10n-be, iceweasel-l10n-bg, iceweasel-l10n-bn-bd, iceweasel-l10n-bn-in, iceweasel-l10n-br, iceweasel-l10n-bs, iceweasel-l10n-ca, iceweasel-l10n-cs, iceweasel-l10n-csb, iceweasel-l10n-cy, iceweasel-l10n-da, iceweasel-l10n-de, iceweasel-l10n-el, iceweasel-l10n-en-gb, iceweasel-l10n-en-za, iceweasel-l10n-eo, iceweasel-l10n-es-ar, iceweasel-l10n-es-cl, iceweasel-l10n-es-es, iceweasel-l10n-es-mx, iceweasel-l10n-et, iceweasel-l10n-eu, iceweasel-l10n-fa, iceweasel-l10n-ff, iceweasel-l10n-fi, iceweasel-l10n-fr, iceweasel-l10n-fy-nl, iceweasel-l10n-ga-ie, iceweasel-l10n-gd, iceweasel-l10n-gl, iceweasel-l10n-gu-in, iceweasel-l10n-he, iceweasel-l10n-hi-in, iceweasel-l10n-hr, iceweasel-l10n-hu, iceweasel-l10n-hy-am, iceweasel-l10n-id, iceweasel-l10n-is, iceweasel-l10n-it, iceweasel-l10n-ja, iceweasel-l10n-kk, iceweasel-l10n-km, iceweasel-l10n-kn, iceweasel-l10n-ko, iceweasel-l10n-ku, iceweasel-l10n-lg, iceweasel-l10n-lij, iceweasel-l10n-lt, iceweasel-l10n-lv, iceweasel-l10n-mai, iceweasel-l10n-mk, iceweasel-l10n-ml, iceweasel-l10n-mr, iceweasel-l10n-nb-no, iceweasel-l10n-nl, iceweasel-l10n-nn-no, iceweasel-l10n-nso, iceweasel-l10n-or, iceweasel-l10n-pa-in, iceweasel-l10n-pl, iceweasel-l10n-pt-br, iceweasel-l10n-pt-pt, iceweasel-l10n-rm, iceweasel-l10n-ro, iceweasel-l10n-ru, iceweasel-l10n-si, iceweasel-l10n-sk, iceweasel-l10n-sl, iceweasel-l10n-son, iceweasel-l10n-sq, iceweasel-l10n-sr, iceweasel-l10n-sv-se, iceweasel-l10n-ta, iceweasel-l10n-ta-lk, iceweasel-l10n-te, iceweasel-l10n-th, iceweasel-l10n-tr, iceweasel-l10n-uk, iceweasel-l10n-vi, iceweasel-l10n-zh-cn, iceweasel-l10n-zh-tw, iceweasel-l10n-zu
Description: All language packages for Iceweasel (meta)
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This is a metapackage depending on all available localizations of Iceweasel.

Package: iceweasel-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Acoli language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Acoli.

Package: iceweasel-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Afrikaans language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Afrikaans.

Package: iceweasel-l10n-ak
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Akan language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Akan.

Package: iceweasel-l10n-ar
Architecture: all
Section: localization
