=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/latest/source/firefox-([\d\.]+)[\.-]source\.tar\.bz2 debian python debian/repack.py
