## iceweasel 24.8.1esr

=== debian/changelog ===
iceweasel (24.8.1esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-73, also known as CVE-2014-1568.

 -- Mike Hommey <glandium@debian.org>  Thu, 25 Sep 2014 07:30:41 +0900

iceweasel (24.8.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{67,72}, also known as
    CVE-2014-1562, CVE-2014-1567.

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Sep 2014 12:14:25 +0900

iceweasel (24.7.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{56,61-64}, also known as
    CVE-2014-1547, CVE-2014-1555, CVE-2014-1556, CVE-2014-1544,
    CVE-2014-1557.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Jul 2014 07:09:08 +0900

iceweasel (24.6.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{48-49,52,55}, also known as
    CVE-2014-1533, CVE-2014-1538, CVE-2014-1541, CVE-2014-1545.

 -- Mike Hommey <glandium@debian.org>  Wed, 11 Jun 2014 07:58:42 +0900
