=== debian/control ===
--- 
+++ 
@@ -13,19 +13,16 @@
                libgnomevfs2-dev,
                libgnome2-dev,
                libgnomeui-dev,
-               libcairo2-dev (>= 1.10.2-1.1~),
                libjpeg-dev,
                zlib1g-dev,
                libbz2-dev,
                libreadline-dev | libreadline5-dev,
-               python,
+               python2.7,
+               python-minimal (>= 2.6.6-13~),
                python-ply,
                dpkg-dev (>= 1.16.1.1~),
-               libnspr4-dev (>= 4.9.2),
-               libnss3-dev (>= 3.13.2),
                libhunspell-dev (>= 1.2),
                libdbus-glib-1-dev,
-               libsqlite3-dev (>= 3.7.13),
                libasound2-dev [linux-any],
                libiw-dev [linux-any],
                libnotify-dev,
@@ -33,6 +30,7 @@
                libevent-dev (>= 1.4.1),
                libvpx-dev (>= 1.0.0),
                mesa-common-dev,
+               yasm (>= 1.1),
                zip,
                unzip,
                locales,
@@ -40,11 +38,12 @@
                xfonts-base,
                xauth,
                ttf-bitstream-vera,
-               ttf-freefont,
-               ttf-dejima-mincho,
+               fonts-freefont-ttf | ttf-freefont,
+               fonts-dejima-mincho | ttf-dejima-mincho,
                imagemagick,
                librsvg2-bin,
                xsltproc,
+               iso-codes
 Build-Conflicts: graphicsmagick-imagemagick-compat,
                  liboss4-salsa-dev,
                  libhildonmime-dev,
@@ -60,9 +59,11 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         xulrunner-17.0 (>= ${binary:Version}),
+         xulrunner-24.0 (= ${binary:Version}),
          libsqlite3-0 (>= 3.7.12-1~)
 Suggests: fonts-stix | otf-stix,
+          fonts-oflb-asana-math,
+          fonts-mathjax,
           mozplugger,
           libgssapi-krb5-2 | libkrb53
 Breaks: xul-ext-torbutton
@@ -78,20 +79,19 @@
 Section: debug
 Depends: ${misc:Depends},
          iceweasel (= ${binary:Version}),
-         xulrunner-17.0-dbg
+         xulrunner-24.0-dbg
 Description: Debugging symbols for Iceweasel
  Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
  with support for modern web application technologies.
  .
  This package contains the debugging symbols for iceweasel.
 
-Package: xulrunner-17.0
+Package: xulrunner-24.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libmozjs17d (= ${binary:Version}),
-         libcairo2 (>= 1.8.8)
+         libmozjs24d (= ${binary:Version})
 Suggests: ${gnome:Depends}, libgnomeui-0, libcanberra0
 Conflicts: j2re1.4,
            pango-graphite (<< 0.9.3)
@@ -114,7 +114,7 @@
  This package also contains the Gecko engine library (libxul)
 Homepage: http://developer.mozilla.org/en/docs/XULRunner
 
-Package: libmozjs17d
+Package: libmozjs24d
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -129,7 +129,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libmozjs17d (= ${binary:Version}),
+         libmozjs24d (= ${binary:Version}),
          libnspr4-dev
 Description: Development files for the Mozilla SpiderMonkey JavaScript library
  This library provides the embeddable JavaScript/ECMAScript engine from
@@ -140,11 +140,11 @@
  Mozilla SpiderMonkey JavaScript library.
 Homepage: http://www.mozilla.org/js/
 
-Package: libmozjs17d-dbg
+Package: libmozjs24d-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libmozjs17d (= ${binary:Version}),
+Depends: libmozjs24d (= ${binary:Version}),
          ${misc:Depends}
 Description: Development files for the Mozilla SpiderMonkey JavaScript library
  This library provides the embeddable JavaScript/ECMAScript engine from
@@ -183,10 +183,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python-ply,
-         xulrunner-17.0 (>= ${binary:Version}),
-         libnss3-dev,
-         libnspr4-dev,
-         libmozjs-dev (>= ${binary:Version})
+         xulrunner-24.0 (= ${binary:Version}),
+         libmozjs-dev (= ${binary:Version})
 Description: Development files for the Gecko engine library
  This library provides an  API for XUL applications and Gecko embedders.
  The Gecko engine is the core of the mozilla.org applications such as
@@ -203,14 +201,12 @@
  same form as the one you may find on mozilla.org in /usr/lib/xulrunner/sdk.
 Homepage: http://wiki.mozilla.org/XUL:Lib_XUL
 
-Package: xulrunner-17.0-dbg
+Package: xulrunner-24.0-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: xulrunner-17.0 (= ${binary:Version}),
-         libmozjs17d-dbg (= ${binary:Version}),
-         libnss3-dbg | libnss3-1d-dbg,
-         libnspr4-dbg | libnspr4-0d-dbg,
+Depends: xulrunner-24.0 (= ${binary:Version}),
+         libmozjs24d-dbg (= ${binary:Version}),
          ${misc:Depends}
 Description: Debugging symbols for the Gecko engine library
  This library provides an  API for XUL applications and Gecko embedders.
@@ -221,7 +217,7 @@
  support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
  Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
  .
- This package provides the debugging symbols for the xulrunner-17.0
+ This package provides the debugging symbols for the xulrunner-24.0
  package.
 Homepage: http://wiki.mozilla.org/XUL:Lib_XUL
 
@@ -271,3 +267,5 @@
 Package: iceweasel-l10n-ar
 Architecture: all
 Section: localization
+Depends: ${misc:Depends},
+         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
