=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
-ifeq (,$(shell dh_testdir || echo no))
+TESTDIR = $(shell dh_testdir || echo no)
+ifeq (,$(TESTDIR))
 include debian/make.mk
 # Use dpkg-buildflags to get hardening flags, exclude non-hardening flags,
 # and disable read-only relocations.
@@ -18,6 +19,10 @@
 PRODUCT_NAME := firefox
 include debian/upstream.mk
 
+ifdef BACKPORT
+LESS_SYSTEM_LIBS = 1
+endif
+
 OFFICIAL_BRANDING := browser/branding/official
 ifeq ($(DEBIAN_SOURCE),$(PRODUCT_NAME))
 MOZILLA_OFFICIAL := 1
@@ -90,12 +95,7 @@
 endif
 
 ifneq (,$(filter armel,$(DEB_BUILD_ARCH)))
-	CONFIGURE_FLAGS += --disable-methodjit
 	CFLAGS += -D__ARM_PCS
-endif
-
-ifeq (8.0_sparc,$(GRE_MILESTONE)_$(DEB_BUILD_ARCH))
-	CONFIGURE_FLAGS += --disable-methodjit
 endif
 
 ifneq (,$(filter ia64,$(DEB_BUILD_ARCH)))
@@ -117,13 +117,13 @@
 endif
 CXXFLAGS = $(CFLAGS)
 
-EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS MOZILLA_OFFICIAL
+EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL
 $(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))
 
 GENERATED_FILES += debian/dh/dh_xulrunner.1
 
 debian/$($(PRODUCT)).xpm: stamps/build-$(PRODUCT)
-	convert build-$(PRODUCT)/dist/bin/chrome/icons/default/default32.png $@
+	convert build-$(PRODUCT)/dist/bin/browser/chrome/icons/default/default32.png $@
 GENERATED_FILES += debian/$($(PRODUCT)).xpm
 
 debian/dh/dh_xulrunner.1: debian/dh/dh_xulrunner
@@ -143,7 +143,7 @@
 endef
 $(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))
 
-GENERATED_FILES += $(filter-out debian/control,$(PREPROCESSED_FILES))
+GENERATED_FILES += $(PREPROCESSED_FILES) debian/l10n/$(PRODUCT)-l10n.control
 debian/control: debian/rules debian/changelog debian/l10n/$(PRODUCT)-l10n.control
 
 $(call lazy,L10N_PACKAGES,$$(foreach lang,$$(L10N_LANGS),$($(PRODUCT))-l10n-$$(call lc,$$(lang))))
@@ -154,14 +154,14 @@
 
 DICT_DIR := /usr/share/hunspell
 
-$(PREPROCESSED_FILES): VARS = GRE_VERSION JS_SO_VERSION DICT_DIR $(PRODUCT) $(call uc,$(PRODUCT)) $(Product)
+$(PREPROCESSED_FILES): VARS = GRE_VERSION JS_SO_VERSION DICT_DIR $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) LESS_SYSTEM_LIBS
 debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT
 $(PREPROCESSED_FILES):
 	$(PYTHON) config/Preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@
 
 %/Makefile: DIR=$(firstword $(subst /, ,$@))
 %/Makefile:
-	make -C $(DIR) SUBMAKEFILES=$(@:$(DIR)/%=%) $(@:$(DIR)/%=%)
+	$(DIR)/config.status -n -v --file=$@
 
 %/package-manifest: %/Makefile
 	$(MAKE) -C $*
@@ -176,7 +176,7 @@
 	done
 	chmod 755 configure js/src/configure
 
-stamps/configure-xulrunner:: stamps/prepare-configure
+stamps/configure-xulrunner:: stamps/prepare-configure debian/xulrunner.mozconfig
 	$(if $(wildcard build-xulrunner),,mkdir build-xulrunner)
 	cd build-xulrunner && \
 	MOZCONFIG=$(CURDIR)/debian/xulrunner.mozconfig \
@@ -184,14 +184,12 @@
 	$(CONFIGURE_ENV) \
 	../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS) \
 		--with-default-mozilla-five-home=/usr/lib/xulrunner-$(GRE_VERSION)
-	sed -i '/^OS_LDFLAGS/s|=|& $(LDFLAGS)|' build-xulrunner/config/autoconf.mk
-	sed -i '/^OS_LDFLAGS/s|=|& $(LDFLAGS)|' build-xulrunner/js/src/config/autoconf.mk
 
 stamps/configure-check-xulrunner:: stamps/configure-xulrunner
 # Ensure --{with,enable}-system options properly set expected variables
 # according to the definitions in the mozconfig file.
 	@awk -F' *# *| *$$' ' \
-	BEGIN { "find $(CURDIR)/build-xulrunner -name autoconf.mk -printf \"%p \"" | getline confs } \
+	BEGIN { "find $(CURDIR)/build-xulrunner \\( -name autoconf.mk -o -name emptyvars.mk \\) -printf \"%p \"" | getline confs } \
 	$$1 ~ /system/ { \
 		if (! $$2) { \
 			print FILENAME ": Missing variable for",$$1; \
@@ -210,14 +208,16 @@
 
 stamps/build-xulrunner:: stamps/configure-check-xulrunner
 	dh_auto_build --parallel --builddirectory=build-xulrunner -- \
+		_LEAKTEST_FILES=leaktest.py \
 		JS_READLINE=1
 
 stamps/build-xulrunner-extra:: stamps/build-xulrunner build-xulrunner/debian/extra-stuff/Makefile
 	$(MAKE) -C build-xulrunner/debian/extra-stuff
 
-stamps/configure-$(PRODUCT):: stamps/build-xulrunner-extra
+stamps/configure-$(PRODUCT):: stamps/build-xulrunner-extra debian/$(PRODUCT).mozconfig
 	$(if $(wildcard build-$(PRODUCT)),,mkdir build-$(PRODUCT))
 	cd build-$(PRODUCT) && \
 	MOZCONFIG=$(CURDIR)/debian/$(PRODUCT).mozconfig \
 	$(CONFIGURE_ENV) \
 	../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS) \
+		--with-libxul-sdk=$(CURDIR)/build-xulrunner/dist \
